### Method

# FwupdPlugin Context get_config_strv

since: 2.1.5

#### Declaration [src]

    gchar**
    fu_context_get_config_strv (
      FuContext* self,
      const gchar* key
    )

#### Description [src]

Return the value of a config key, falling back to the default value if missing.

Available since: 2.1.5

#### Parameters

`key`

  Type: `const gchar*`

  A settings key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: An array of `utf8`

String array value.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.